Error after execute command: bundle exec rails server


#1

Got this error after execute command: bundle exec rails server
What do I do?

DEPRECATION WARNING: before_filter is deprecated and will be removed in Rails 5.1. Use before_action instead. (called from <top (required)> at /root/dradis-ce/config/application.rb:12)
DEPRECATION WARNING: before_filter is deprecated and will be removed in Rails 5.1. Use before_action instead. (called from <top (required)> at /root/dradis-ce/config/application.rb:12)
=> Booting Thin
=> Rails 5.0.1 application starting in development on http://localhost:3000
=> Run `rails server -h` for more startup options
Exiting
/var/lib/gems/2.3.0/gems/railties-5.0.1/lib/rails/application/configuration.rb:143:in `database_configuration': Cannot load `Rails.application.database_configuration`: (RuntimeError)
Could not load database configuration. No such file - ["config/database.yml"]
	from /var/lib/gems/2.3.0/gems/activerecord-5.0.1/lib/active_record/railtie.rb:122:in `block (2 levels) in <class:Railtie>'
	from /var/lib/gems/2.3.0/gems/activesupport-5.0.1/lib/active_support/lazy_load_hooks.rb:43:in `instance_eval'
	from /var/lib/gems/2.3.0/gems/activesupport-5.0.1/lib/active_support/lazy_load_hooks.rb:43:in `execute_hook'
	from /var/lib/gems/2.3.0/gems/activesupport-5.0.1/lib/active_support/lazy_load_hooks.rb:33:in `block in on_load'
	from /var/lib/gems/2.3.0/gems/activesupport-5.0.1/lib/active_support/lazy_load_hooks.rb:32:in `each'
	from /var/lib/gems/2.3.0/gems/activesupport-5.0.1/lib/active_support/lazy_load_hooks.rb:32:in `on_load'
	from /var/lib/gems/2.3.0/gems/activerecord-5.0.1/lib/active_record/railtie.rb:121:in `block in <class:Railtie>'
	from /var/lib/gems/2.3.0/gems/railties-5.0.1/lib/rails/initializable.rb:30:in `instance_exec'
	from /var/lib/gems/2.3.0/gems/railties-5.0.1/lib/rails/initializable.rb:30:in `run'
	from /var/lib/gems/2.3.0/gems/railties-5.0.1/lib/rails/initializable.rb:55:in `block in run_initializers'
	from /usr/lib/ruby/2.3.0/tsort.rb:228:in `block in tsort_each'
	from /usr/lib/ruby/2.3.0/tsort.rb:350:in `block (2 levels) in each_strongly_connected_component'
	from /usr/lib/ruby/2.3.0/tsort.rb:431:in `each_strongly_connected_component_from'
	from /usr/lib/ruby/2.3.0/tsort.rb:349:in `block in each_strongly_connected_component'
	from /usr/lib/ruby/2.3.0/tsort.rb:347:in `each'
	from /usr/lib/ruby/2.3.0/tsort.rb:347:in `call'
	from /usr/lib/ruby/2.3.0/tsort.rb:347:in `each_strongly_connected_component'
	from /usr/lib/ruby/2.3.0/tsort.rb:226:in `tsort_each'
	from /usr/lib/ruby/2.3.0/tsort.rb:205:in `tsort_each'
	from /var/lib/gems/2.3.0/gems/railties-5.0.1/lib/rails/initializable.rb:54:in `run_initializers'
	from /var/lib/gems/2.3.0/gems/railties-5.0.1/lib/rails/application.rb:352:in `initialize!'
	from /root/dradis-ce/config/environment.rb:5:in `<top (required)>'
	from /root/dradis-ce/config.ru:3:in `require_relative'
	from /root/dradis-ce/config.ru:3:in `block in <main>'
	from /usr/lib/ruby/vendor_ruby/rack/builder.rb:55:in `instance_eval'
	from /usr/lib/ruby/vendor_ruby/rack/builder.rb:55:in `initialize'
	from /root/dradis-ce/config.ru:in `new'
	from /root/dradis-ce/config.ru:in `<main>'
	from /usr/lib/ruby/vendor_ruby/rack/builder.rb:49:in `eval'
	from /usr/lib/ruby/vendor_ruby/rack/builder.rb:49:in `new_from_string'
	from /usr/lib/ruby/vendor_ruby/rack/builder.rb:40:in `parse_file'
	from /var/lib/gems/2.3.0/gems/rack-2.0.1/lib/rack/server.rb:318:in `build_app_and_options_from_config'
	from /var/lib/gems/2.3.0/gems/rack-2.0.1/lib/rack/server.rb:218:in `app'
	from /var/lib/gems/2.3.0/gems/railties-5.0.1/lib/rails/commands/server.rb:59:in `app'
	from /var/lib/gems/2.3.0/gems/rack-2.0.1/lib/rack/server.rb:353:in `wrapped_app'
	from /var/lib/gems/2.3.0/gems/railties-5.0.1/lib/rails/commands/server.rb:124:in `log_to_stdout'
	from /var/lib/gems/2.3.0/gems/railties-5.0.1/lib/rails/commands/server.rb:77:in `start'
	from /var/lib/gems/2.3.0/gems/railties-5.0.1/lib/rails/commands/commands_tasks.rb:90:in `block in server'
	from /var/lib/gems/2.3.0/gems/railties-5.0.1/lib/rails/commands/commands_tasks.rb:85:in `tap'
	from /var/lib/gems/2.3.0/gems/railties-5.0.1/lib/rails/commands/commands_tasks.rb:85:in `server'
	from /var/lib/gems/2.3.0/gems/railties-5.0.1/lib/rails/commands/commands_tasks.rb:49:in `run_command!'
	from /var/lib/gems/2.3.0/gems/railties-5.0.1/lib/rails/commands.rb:18:in `<top (required)>'
	from bin/rails:4:in `require'
	from bin/rails:4:in `<main>'

#2

Hi @Dalbrn, this looks like the same problem as Kali 2016.2/Dradis - Rails startup problem. Could you check out the fix in the StackOverflow thread I posted in the other thread? That should resolve the error for you and get things back to normal!